Orvelt

List answers

GET
/project/{projectId}/answers

List customers' answers to a project's questions.

API-key permission: answers read. Business sessions and resource-authorized OAuth tokens are also supported.

Authorization

cookieorvelt-biz.session_token<token>

An existing Business session. Browser requests must also pass origin and CSRF checks.

Path Parameters

projectId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Query Parameters

page?integer
Range1 <= value <= 9007199254740991
Default1
limit?integer
Range1 <= value <= 100
Default10
sort?string
Default"newest"
Value in"newest""oldest"
query?string
Lengthlength <= 200
Default""
dateFrom?integer
Range0 <= value <= 8640000000000000
dateTo?integer
Range0 <= value <= 8640000000000000
externalUserId?string
Length1 <= length <= 256
responseId?string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
questionId?string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
familyId?string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
responseVisibility?string
Default"all"
Value in"all""default""private"

Response Body

OK

application/json
  1. response
answers*array<>
pagination*
Example Request
curl -X GET 'https://api.orvelt.com/v1/project/497f6eca-6276-4993-bfeb-53cbbbba6f08/answers'
Example Response
{
  "answers": [
    {
      "externalUserId": "string",
      "id": "string",
      "responseId": "string",
      "questionId": "string",
      "familyId": "string",
      "questionVersion": 1,
      "question": "string",
      "tags": [
        "string"
      ],
      "answer": "string",
      "selectedOptions": [],
      "responseVisibility": "default",
      "createdAt": "2019-08-24T14:15:22Z"
    }
  ],
  "pagination": {
    "page": -9007199254740991,
    "limit": -9007199254740991,
    "total": -9007199254740991,
    "totalPages": -9007199254740991
  }
}